package template

import (
	"context"

	tspoint "github.com/tech/sendico/pkg/db/tseries/point"
)

type TimeSeries[T tspoint.TimePoint] interface {
	// Insert adds a single point into the series.
	Insert(ctx context.Context, point T) error
	// InsertMany adds multiple points in one bulk operation.
	InsertMany(ctx context.Context, points []T) error
}
